# Package org.codehaus.plexus

Interface Summary
Interface | Description
--- | ---
ComponentRegistry |
ContainerConfiguration |
MutablePlexusContainer |
PlexusContainer | PlexusContainer is the entry-point for loading and accessing other components.

Class Summary
Class | Description
--- | ---
DefaultComponentRegistry |
DefaultContainerConfiguration |
DefaultPlexusContainer | Default implementation of PlexusContainer and MutablePlexusContainer.
PlexusConstants |
PlexusTestCase |

Exception Summary
Exception | Description
--- | ---
DuplicateChildContainerException |
PlexusContainerException | Container execution exception.